/* ================ section-banner ================= */
.section-banner .banner-content{max-width: 770px !important;}

/* =========================  contact us Section Styles =========================*/
.section-contact-us{background-color: var(--off-white-01);}
.contact-detail-wrap .heading-style-2{color: var(--black); margin-bottom: 24px;}
.contact-social-wrap{margin-bottom:24px;}
.contact-social-wrap:last-child{margin-bottom:0 !important;}
.contact-item{display: flex; align-items: center; gap: 8px;}
.contact-icon{flex-shrink: 0;}
.contact-icon img{width: 32px; height: 32px;}
.contact-item .heading-style-6{color: var(--black);}
.contact-item .heading-style-6 a{color: var(--black);padding-left: 4px; border-bottom: 1px solid transparent;}
.contact-item .heading-style-6 a:hover{color: var(--black); border-color:var(--black);}
.contact-item .heading-style-6 a:focus{background-color: var(--f0) !important;color:var(--black) !important;}

/* contact form */
.contact-us-form-wrap{background-color: var(--white);padding: 28px;border-radius:20px;}
.input-wrap{margin-bottom:28px;}
input[type=text], input[type=email], input[type=url] input[type=tel], input[type=password], input[type=search], input[type=number], input[type=tel], input[type=date], input[type=month], input[type=week], input[type=time], input[type=datetime], input[type=datetime-local], input[type=color], .site textarea,select  {
    padding:13px 0px !important;
    margin-bottom:0 !important;
    font-family:var(--red-hat) !important;
    font-weight: 500; 
    font-size: 16px!important; 
    line-height: 28px!important;       
    width: 100%;
    border: none !important;  
    border-bottom:1px solid #D9D9D9 !important;
    border-radius: 0px !important;   
    color: var(--black)!important; 
    background: var(--white) !important; 
}
textarea{height: 111px;resize: none;}
input[type=text]::placeholder, input[type=email]::placeholder,input[type=tel]::placeholder, input[type=url]::placeholder, input[type=password]::placeholder, input[type=search]::placeholder, input[type=number]::placeholder, input[type=tel]::placeholder, input[type=date]::placeholder, input[type=month]::placeholder, input[type=week]::placeholder, input[type=time]::placeholder, input[type=datetime]::placeholder, input[type=datetime-local]::placeholder, input[type=color]::placeholder, .site textarea::placeholder,select::placeholder {
    font-size: 16px; 
    line-height: 28px;
    font-family:var(--red-hat) !important;         
    color:var(--secondary);
    font-weight: 500;
}
form{position: relative;}
/* form p:last-child{line-height: 0;} */
.contact-us-form-btn{position:relative;width:fit-content;}
.section-contact-us input[type=submit] {
    padding: 11px 50px 11px 18px!important; 
    background:url(../images/white-button-arrow.svg) no-repeat 90% center / 24px auto , var(--black) !important;
    font-size:16px !important;
    line-height:28px !important;
    font-weight:500 !important;
    color:var(--white) !important;
    border:1px solid var(--black);
    border-radius: 10px;
    font-family:var(--red-hat) !important;     
    transition: all 0.3s ease-in-out;
    text-align:center;     
}
.section-contact-us input[type=submit]:hover{background:url(../images/button-arrow.svg) no-repeat 90% center / 24px auto , var(--f0) !important;color:var(--black) !important;border-color:var(--black) !important;}
input[type=submit]:focus, input[type=submit]:focus-visible, input[type=submit]:active { outline: none;}

.contact-form-btn{position: relative;}
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    transition: background-color 5000s ease-in-out 0s;
    -webkit-text-fill-color: var(--secondary) !important;
}
/* spinner */
.wpcf7-spinner { margin: 0px; position: absolute; top: 50%; left: 50%;transform: translate(-50%, -50%);background-color: var(--gray) !important;}
.submitting .wpcf7-submit { pointer-events: none; color: var(--black) !important; }
.submitting input[type=submit]{color: transparent !important;background-image: none !important;}
/* massege */
.wpcf7-response-output { margin: 25px 0px 0px !important; font-size: 12px !important; line-height: 20px !important; border: none !important; color: var(--white-color); font-weight: 600; text-align: center;}
.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.unaccepted .wpcf7-response-output { background: #ffb900;color: var(--white);}
.wpcf7 form.failed .wpcf7-response-output { background: #f05858;color: var(--white);}
.wpcf7 form.sent .wpcf7-response-output { background: #46b450;color: var(--white);}
.wpcf7-not-valid-tip { font-size: 12px;}

/* =========================  map Section Styles =========================*/
#contact-map{height: 723px;}

/* Responsive Styles */
@media (max-width: 1600px) {
}
@media (max-width: 1500px) {
}
@media (max-width: 1366px) {
    /* ========================= contact us Section Styles =========================*/
    .contact-detail-wrap .heading-style-2,.contact-social-wrap{margin-bottom: 20px;}
    .contact-icon img { width: 28px; height: 28px; }
    .contact-us-form-wrap{padding: 24px; border-radius: 18px;}
    /* form */
    .input-wrap { margin-bottom: 20px; }
    input[type=text], input[type=email], input[type=url] input[type=tel], input[type=password], input[type=search], input[type=number], input[type=tel], input[type=date], input[type=month], input[type=week], input[type=time], input[type=datetime], input[type=datetime-local], input[type=color], .site textarea, select{
        padding: 10px 0px !important;
    }
    .section-contact-us input[type=submit] { padding: 10px 40px 10px 13px !important;font-size: 15px !important; line-height: 26px !important;background-size: 20px auto !important;}
    .section-contact-us input[type=submit]:hover{background-size: 20px auto !important;}
    
    /* =========================  map Section Styles =========================*/
    #contact-map{height: 480px;}
}
@media (max-width: 1199px) {
    /* ========================= contact us Section Styles =========================*/
    .contact-detail-wrap .heading-style-2,.contact-social-wrap{margin-bottom: 18px;}
    .contact-icon img { width: 24px; height: 24px; }
    .contact-us-form-wrap{padding: 22px; border-radius: 16px;}
    /* form */
    .input-wrap { margin-bottom: 18px; }
    input[type=text], input[type=email], input[type=url] input[type=tel], input[type=password], input[type=search], input[type=number], input[type=tel], input[type=date], input[type=month], input[type=week], input[type=time], input[type=datetime], input[type=datetime-local], input[type=color], .site textarea, select{
            padding: 8px 0px !important;
            font-size: 15px !important;
            line-height: 26px !important;
    }
    textarea{height: 100px;}
    input[type=text]::placeholder, input[type=email]::placeholder,input[type=tel]::placeholder, input[type=url]::placeholder, input[type=password]::placeholder, input[type=search]::placeholder, input[type=number]::placeholder, input[type=tel]::placeholder, input[type=date]::placeholder, input[type=month]::placeholder, input[type=week]::placeholder, input[type=time]::placeholder, input[type=datetime]::placeholder, input[type=datetime-local]::placeholder, input[type=color]::placeholder, .site textarea::placeholder,select::placeholder {
        font-size: 15px !important;
        line-height: 26px !important;
    }
    .section-contact-us input[type=submit] { padding: 8px 32px 8px 10px !important; font-size: 14px !important; line-height: 24px !important; background-size: 17px auto !important;}
    .section-contact-us input[type=submit]:hover{ background-size: 17px auto !important;}
}
@media (max-width: 991px) {
    /* ========================= contact us Section Styles =========================*/
    .contact-detail-wrap .heading-style-2,.contact-social-wrap{margin-bottom: 16px;}
    .contact-icon img { width: 20px; height: 20px; }
    .contact-us-form-wrap{padding: 20px; border-radius: 15px;}
    /* form */
    .input-wrap { margin-bottom: 16px; }
    .contact-item .heading-style-6{margin-top: 5px;}
    input[type=text], input[type=email], input[type=url] input[type=tel], input[type=password], input[type=search], input[type=number], input[type=tel], input[type=date], input[type=month], input[type=week], input[type=time], input[type=datetime], input[type=datetime-local], input[type=color], .site textarea, select{
            padding: 7px 0px !important;
            font-size: 14px !important;
            line-height: 24px !important;
    }
    textarea{height: 90px;}
    input[type=text]::placeholder, input[type=email]::placeholder,input[type=tel]::placeholder, input[type=url]::placeholder, input[type=password]::placeholder, input[type=search]::placeholder, input[type=number]::placeholder, input[type=tel]::placeholder, input[type=date]::placeholder, input[type=month]::placeholder, input[type=week]::placeholder, input[type=time]::placeholder, input[type=datetime]::placeholder, input[type=datetime-local]::placeholder, input[type=color]::placeholder, .site textarea::placeholder,select::placeholder {
        font-size: 14px !important;
        line-height: 24px !important;
    }
    .section-contact-us input[type=submit] { padding: 7px 28px 7px 8px !important; background-size: 16px auto !important;background-position:93% center;}
    .section-contact-us input[type=submit]:hover{  background-size: 16px auto !important;background-position:93% center;}

}
@media (max-width: 767px) {
    /* ========================= contact us Section Styles =========================*/
    .section-contact-us .row.contact-us-content{flex-direction: column-reverse;row-gap:20px;}
    
    /* =========================  map Section Styles =========================*/
    #contact-map{height: 450px;}
}
@media (max-width: 575px) {
    /* ========================= contact us Section Styles =========================*/
    .contact-detail-wrap .heading-style-2,.contact-social-wrap{margin-bottom: 15px;}
    .contact-icon img { width: 18px; height: 18px; }
    .contact-us-form-wrap{padding: 18px; border-radius: 12px;}
    /* form */
    .input-wrap {margin-bottom: 15px;}
    .section-contact-us input[type=submit] { padding: 7px 26px 7px 12px !important; background-size: 15px auto !important;background-position:94% center;}
    .section-contact-us input[type=submit]:hover{  background-size: 15px auto !important;background-position:94% center;}
}
